#!/bin/bash
############ plot GFS UVT @22.5N ######################
export GRADS='grads -d Cairo -h GD'
export filein=gfs.t00z.pgrb2.0p25.f108
./g2ctl ${filein} > ${filein}.ctl
./gribmap -i ${filein}.ctl

export ymdh=2018090100
export hour=108
#--------------- UVT @22.5N  ------------------------------
export fileout=OnConv_${ymdh}_U225N_f${hour}
gnamelist=${filein}_U225N.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 312 317';'set lat 22.5';'set z 1 57';'set xlint 1';'set ylint 100'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 5'"             >> ${gnamelist}
echo "'display UGRDprs'"                                                   >> ${gnamelist}
echo "'draw title UGRD AL06 ${ymdh} 3KMOnConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"

#--------------- UVT @22.5N  ------------------------------
export fileout=OnConv_${ymdh}_V225N_f${hour}
gnamelist=${filein}_V225N.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 312 317';'set lat 22.5';'set z 1 57';'set xlint 1';'set ylint 100'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 5'"             >> ${gnamelist}
echo "'display VGRDprs'"                                                   >> ${gnamelist}
echo "'draw title VGRD AL06 ${ymdh} 3KMOnConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"

#--------------- UVT @22.5N  ------------------------------
export fileout=OnConv_${ymdh}_T225N_f${hour}
gnamelist=${filein}_T225N.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 312 317';'set lat 22.5';'set z 1 57';'set xlint 1';'set ylint 100'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 1'"             >> ${gnamelist}
echo "'display TMPprs-ave(TMPprs,lon=312,lon=317)'"                                                   >> ${gnamelist}
echo "'draw title TMP AL06 ${ymdh} 3KMOnConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"

#--------------- UVT @22.5N  ------------------------------
export fileout=OnConv_${ymdh}_TV225N_f${hour}
gnamelist=${filein}_TV225N.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 312 317';'set lat 22.5';'set z 1 57';'set xlint 1';'set ylint 100'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout shaded';'set cmin 0.01'"                             >> ${gnamelist}
echo "'set rgb 21  255  220  220'"                             >> ${gnamelist}
echo "'set rgb 22  255  165  165'"                             >> ${gnamelist}
echo "'set rgb 23  255  110  110'"                             >> ${gnamelist}
echo "'set rgb 24  255   55   55'"                             >> ${gnamelist}
echo "'set rgb 25  255    0    0'"                             >> ${gnamelist}
echo "'set clevs 1 3 5 7 9 '"                             >> ${gnamelist}
echo "'set ccols 0 21 22 23 24 25 '"                             >> ${gnamelist}

echo "'display TMPprs-ave(TMPprs,lon=312,lon=317)';'run cbar.gs'"     >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 5';'set ccolor 4'"             >> ${gnamelist}
echo "'display VGRDprs'"                                                   >> ${gnamelist}
echo "'draw title TMP/VGRD AL06 ${ymdh} 3KMOnConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}x.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"

